Module | Sequel::MSSQL::DatabaseMethods
In: | lib/sequel/adapters/shared/mssql.rb

### Methods

database_type dataset

### Constants

AUTO_INCREMENT | = | 'IDENTITY(1,1)'.freeze
SQL_BEGIN | = | "BEGIN TRANSACTION".freeze
SQL_COMMIT | = | "COMMIT TRANSACTION".freeze
SQL_ROLLBACK | = | "ROLLBACK TRANSACTION".freeze
TEMPORARY | = | "#".freeze

### Public Instance methods

database_type()

Microsoft SQL Server uses the :mssql type.

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 13
    13:       def database_type
    14:         :mssql
    15:       end

dataset(opts = nil)

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 17
    17:       def dataset(opts = nil)
    18:         ds = super
    19:         ds.extend(DatasetMethods)
    20:         ds
    21:       end

[Validate]